# SbCylinderSheetProjector Class Reference
[Projector classes (mostly for internal use)]

`#include <Inventor/projectors/SbCylinderSheetProjector.h>`

Inheritance diagram for SbCylinderSheetProjector:

List of all members.

## Detailed Description

The SbCylinderSheetProjector class projects 2D points to 3D points on a sheet covering a cylindrical shape.

## Public Member Functions

| SbCylinderSheetProjector (const SbBool orienttoeye=TRUE)
| SbCylinderSheetProjector (const SbCylinder &cyl, const SbBool orienttoeye=TRUE)
virtual SbProjector * | copy (void) const
virtual SbVec3f | project (const SbVec2f &point)
virtual SbRotation | getRotation (const SbVec3f &point1, const SbVec3f &point2)

## Protected Member Functions

virtual void | setupPlane (void)

## Protected Attributes

SbVec3f | workingProjPoint
SbVec3f | planeDir
SbPlane | tolPlane

## Constructor & Destructor Documentation

SbCylinderSheetProjector::SbCylinderSheetProjector | ( | const SbBool | orienttoeye = TRUE | ) |

| Constructor. Uses default cylinder defintion, see SbCylinderProjector::SbCylinderProjector(). orienttoeye decides whether or not the cylinder and sheet should always be oriented towards the viewer.

SbCylinderSheetProjector::SbCylinderSheetProjector | ( | const SbCylinder & | cyl,
|  | const SbBool | orienttoeye = TRUE
| ) |

| Constructor with explicit definition of projection cylinder.

## Member Function Documentation

SbProjector * SbCylinderSheetProjector::copy | ( | void |  | ) | const`[virtual]`

Construct and return a copy of this projector. The caller is responsible for destructing the new instance.

Note that if the Coin library has been built as a DLL under Microsoft Windows and you use this method from application code, you must make sure that both the Coin DLL and the application executable is using the same instance of a C Run-Time (CRT) library. Otherwise, you will get memory heap corruption upon deallocating the returned instances, eventually leading to mysterious crashes.

Implements SbProjector.

SbVec3f SbCylinderSheetProjector::project | ( | const SbVec2f & | point | ) | `[virtual]`

| Project the 2D point from normalized viewport coordinates to a 3D point. The mapping will be done in accordance with the type of the projector. Implements SbCylinderProjector.

SbRotation SbCylinderSheetProjector::getRotation | ( | const SbVec3f & | point1,
|  | const SbVec3f & | point2
| ) | `[virtual]`

| Returns rotation on the projection surface which re-orients point1 to point2. Implements SbCylinderProjector.

void SbCylinderSheetProjector::setupPlane | ( | void |  | ) | `[protected, virtual]`

| Recalculates projection surface settings after changes to the parameters.

## Member Data Documentation

SbCylinderSheetProjector::workingProjPoint`[protected]`

| Last projected point, in the working space coordinate system.

SbCylinderSheetProjector::planeDir`[protected]`

| Normal vector of the plane defining the orientation of the sheet.

SbCylinderSheetProjector::tolPlane`[protected]`

| The tolerance value specifying how much of the cylinder is "above" the sheet.

The documentation for this class was generated from the following files:

- SbCylinderSheetProjector.h
- SbCylinderSheetProjector.cpp